Loading...
Searching...
No Matches
FrobeniusFactor.h File Reference

Various factors that minimize some Frobenius norm. More...

Go to the source code of this file.

## Classes

class | gtsam::FrobeniusPrior< Rot >
| FrobeniusPrior calculates the Frobenius norm between a given matrix and an element of SO(3) or SO(4). More...
class | gtsam::FrobeniusFactor< Rot >
| FrobeniusFactor calculates the Frobenius norm between rotation matrices. More...
class | gtsam::FrobeniusBetweenFactor< Rot >
| FrobeniusBetweenFactor is a BetweenFactor that evaluates the Frobenius norm of the rotation error between measured and predicted (rather than the Logmap of the error). More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

SharedNoiseModel | gtsam::ConvertNoiseModel (const SharedNoiseModel &model, size_t n, bool defaultToUnit=true)
| When creating (any) FrobeniusFactor we can convert a Rot/Pose BetweenFactor noise model into a n-dimensional isotropic noise model used to weight the Frobenius norm.

## Detailed Description

Various factors that minimize some Frobenius norm.

Date
  March 2019

Author
  Frank Dellaert